# struct Rep | More...
Internal Use Only
Full name | `KJS::UString::Rep`
Definition | `#include <ustring.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- friend bool operator== (const UString&, const UString&)
- inline UChar * data () const
- inline int size () const
- inline void ref ()
- inline int deref ()

#### Public Static Methods

- static Rep * create (UChar *d, int l)

#### Public Members

- friend class UString
- UChar *dat
- int len
- int rc
- static Rep null

## Detailed Description

friend class UString | ### UString

friend bool operator== (const UString&, const UString&) | ### operator==

Rep * create (UChar *d, int l) | ### create

[static]

inline UChar * data () | ### data

[const]

inline int size () | ### size

[const]

inline void ref () | ### ref

inline int deref () | ### deref

UChar * dat | ### dat

int len | ### len

int rc | ### rc

static Rep null | ### null

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:45:14 2001, using kdoc 2.0a53.